XIncludeFile "..\p2w.pbi"

P2W_Converter_SetProfile("pb2webtest")

XIncludeFile "CanvasTest.pbf"

#myTimer = 0

Procedure CanvasEvent()
  
  Select EventType()
    Case #PB_EventType_MouseEnter       : Debug "PB_EventType_MouseEnter"
    Case #PB_EventType_MouseLeave       : Debug "PB_EventType_MouseLeave"
    Case #PB_EventType_MouseMove        : Debug "PB_EventType_MouseMove"
    Case #PB_EventType_MouseWheel       : Debug "PB_EventType_MouseWheel"
    Case #PB_EventType_LeftButtonDown   : Debug "PB_EventType_LeftButtonDown"
    Case #PB_EventType_LeftButtonUp     : Debug "PB_EventType_LeftButtonUp"
    Case #PB_EventType_LeftClick        : Debug "PB_EventType_LeftClick"
    Case #PB_EventType_LeftDoubleClick  : Debug "PB_EventType_LeftDoubleClick"
    Case #PB_EventType_RightButtonDown  : Debug "PB_EventType_RightButtonDown"
    Case #PB_EventType_RightButtonUp    : Debug "PB_EventType_RightButtonUp"
    Case #PB_EventType_RightClick       : Debug "PB_EventType_RightClick"
    Case #PB_EventType_RightDoubleClick : Debug "PB_EventType_RightDoubleClick"
    Case #PB_EventType_MiddleButtonDown : Debug "PB_EventType_MiddleButtonDown"
    Case #PB_EventType_MiddleButtonUp   : Debug "PB_EventType_MiddleButtonUp"
    Case #PB_EventType_Focus            : Debug "PB_EventType_Focus"
    Case #PB_EventType_LostFocus        : Debug "PB_EventType_LostFocus"
    Case #PB_EventType_KeyDown          : Debug "PB_EventType_KeyDown"
    Case #PB_EventType_KeyUp            : Debug "PB_EventType_KeyUp"
    Case #PB_EventType_Input            : Debug "PB_EventType_Input"
    Default                             : Debug "Unknown EventType"
  EndSelect
  
  SetGadgetText(#lbl_PB_Canvas_Buttons,   "PB_Canvas_Buttons: "   + Str(GetGadgetAttribute(#Canvas, #PB_Canvas_Buttons)))
  SetGadgetText(#lbl_PB_Canvas_Modifiers, "PB_Canvas_Modifiers: " + Str(GetGadgetAttribute(#Canvas, #PB_Canvas_Modifiers)))
  
EndProcedure

Procedure TimerEvent()
	SetGadgetText(#lbl_PB_Canvas_MouseX, "PB_Canvas_MouseX: " + Str(GetGadgetAttribute(#Canvas, #PB_Canvas_MouseX)))
	SetGadgetText(#lbl_PB_Canvas_MouseY, "PB_Canvas_MouseY: " + Str(GetGadgetAttribute(#Canvas, #PB_Canvas_MouseY)))
  SetGadgetText(#lbl_PB_Canvas_WheelDelta, "PB_Canvas_WheelDelta: " + Str(GetGadgetAttribute(#Canvas, #PB_Canvas_WheelDelta)))
EndProcedure

OpenfrmMain()

BindGadgetEvent(#Canvas, @CanvasEvent(), #PB_EventType_MouseEnter)
BindGadgetEvent(#Canvas, @CanvasEvent(), #PB_EventType_MouseLeave)
BindGadgetEvent(#Canvas, @CanvasEvent(), #PB_EventType_MouseMove)
BindGadgetEvent(#Canvas, @CanvasEvent(), #PB_EventType_MouseWheel)
BindGadgetEvent(#Canvas, @CanvasEvent(), #PB_EventType_LeftButtonDown)
BindGadgetEvent(#Canvas, @CanvasEvent(), #PB_EventType_LeftButtonUp)
BindGadgetEvent(#Canvas, @CanvasEvent(), #PB_EventType_LeftClick)
BindGadgetEvent(#Canvas, @CanvasEvent(), #PB_EventType_LeftDoubleClick)
BindGadgetEvent(#Canvas, @CanvasEvent(), #PB_EventType_RightButtonDown)
BindGadgetEvent(#Canvas, @CanvasEvent(), #PB_EventType_RightButtonUp)
BindGadgetEvent(#Canvas, @CanvasEvent(), #PB_EventType_RightClick)
BindGadgetEvent(#Canvas, @CanvasEvent(), #PB_EventType_RightDoubleClick)
BindGadgetEvent(#Canvas, @CanvasEvent(), #PB_EventType_MiddleButtonDown)
BindGadgetEvent(#Canvas, @CanvasEvent(), #PB_EventType_MiddleButtonUp)
BindGadgetEvent(#Canvas, @CanvasEvent(), #PB_EventType_Focus)
BindGadgetEvent(#Canvas, @CanvasEvent(), #PB_EventType_LostFocus)
BindGadgetEvent(#Canvas, @CanvasEvent(), #PB_EventType_KeyDown)
BindGadgetEvent(#Canvas, @CanvasEvent(), #PB_EventType_KeyUp)
BindGadgetEvent(#Canvas, @CanvasEvent(), #PB_EventType_Input)

AddWindowTimer(#frmMain, #myTimer, 100)
BindEvent(#PB_Event_Timer, @TimerEvent(), #frmMain, #myTimer)

P2W_Converter_Begin_Comment
  Repeat : Until WaitWindowEvent() = #PB_Event_CloseWindow
P2W_Converter_End_Comment


; IDE Options = PureBasic 5.31 (Windows - x86)
; CursorPosition = 37
; FirstLine = 10
; Folding = -
; EnableXP