XIncludeFile "..\p2w.pbi"

P2W_Converter_SetProfile("pb2webtest_mobile")

Enumeration
	#Page1
	#Page2
EndEnumeration

Enumeration
	
	#Page1_Button_Slide
	#Page1_Button_SlideUp
	#Page1_Button_SlideDown
	#Page1_Button_Pop
	#Page1_Button_Fade
	#Page1_Button_Flip
	
	#Page2_Button_Slide
	#Page2_Button_SlideUp
	#Page2_Button_SlideDown
	#Page2_Button_Pop
	#Page2_Button_Fade
	#Page2_Button_Flip
	
EndEnumeration

Declare OpenPage1()
Declare OpenPage2()

Procedure TransitionToPage1_Ready()
	ClosePage(#Page2)
EndProcedure

Procedure Page2_Button_Event()
	
	Protected TransitionType = 0
	Protected Reverse = #False
	
	Select EventWidget()
		Case #Page2_Button_Slide     : TransitionType = #PB_Transition_Slide : Reverse = #True
		Case #Page2_Button_SlideUp   : TransitionType = #PB_Transition_SlideUp
		Case #Page2_Button_SlideDown : TransitionType = #PB_Transition_SlideDown
		Case #Page2_Button_Pop       : TransitionType = #PB_Transition_Pop
		Case #Page2_Button_Fade      : TransitionType = #PB_Transition_Fade
		Case #Page2_Button_Flip      : TransitionType = #PB_Transition_Flip : Reverse = #True
	EndSelect
	
	OpenPage1()
	TransitionToPage(#Page1, TransitionType, Reverse, @TransitionToPage1_Ready())
	
EndProcedure

Procedure TransitionToPage2_Ready()
	ClosePage(#Page1)
EndProcedure

Procedure Page1_Button_Event()
	
	Protected TransitionType = 0
	
	Select EventWidget()
		Case #Page1_Button_Slide     : TransitionType = #PB_Transition_Slide
		Case #Page1_Button_SlideUp   : TransitionType = #PB_Transition_SlideUp
		Case #Page1_Button_SlideDown : TransitionType = #PB_Transition_SlideDown
		Case #Page1_Button_Pop       : TransitionType = #PB_Transition_Pop
		Case #Page1_Button_Fade      : TransitionType = #PB_Transition_Fade
		Case #Page1_Button_Flip      : TransitionType = #PB_Transition_Flip
	EndSelect
	
	OpenPage2()
	TransitionToPage(#Page2, TransitionType, #False, @TransitionToPage2_Ready())
	
EndProcedure

Procedure OpenPage2()
	
	OpenPage(#Page2, "Page2 Header", "Page2 Footer")
	
	ButtonWidget(#Page2_Button_Slide,     "Slide to Page1");
	ButtonWidget(#Page2_Button_SlideUp,   "SlideUp to Page1");
	ButtonWidget(#Page2_Button_SlideDown, "SlideDown to Page1");
	ButtonWidget(#Page2_Button_Pop,       "Pop to Page1");
	ButtonWidget(#Page2_Button_Fade,      "Fade to Page1");
	ButtonWidget(#Page2_Button_Flip,      "Flip to Page1");
	
	BindWidgetEvent(#Page2_Button_Slide,     @Page2_Button_Event())
	BindWidgetEvent(#Page2_Button_SlideUp,   @Page2_Button_Event())
	BindWidgetEvent(#Page2_Button_SlideDown, @Page2_Button_Event())
	BindWidgetEvent(#Page2_Button_Pop,       @Page2_Button_Event())
	BindWidgetEvent(#Page2_Button_Fade,      @Page2_Button_Event())
	BindWidgetEvent(#Page2_Button_Flip,      @Page2_Button_Event())
	
EndProcedure

Procedure OpenPage1()
	
	OpenPage(#Page1, "Page1 Header", "Page1 Footer")
	
	ButtonWidget(#Page1_Button_Slide,     "Slide to Page2");
	ButtonWidget(#Page1_Button_SlideUp,   "SlideUp to Page2");
	ButtonWidget(#Page1_Button_SlideDown, "SlideDown to Page2");
	ButtonWidget(#Page1_Button_Pop,       "Pop to Page2");
	ButtonWidget(#Page1_Button_Fade,      "Fade to Page2");
	ButtonWidget(#Page1_Button_Flip,      "Flip to Page2");
	
	BindWidgetEvent(#Page1_Button_Slide,     @Page1_Button_Event())
	BindWidgetEvent(#Page1_Button_SlideUp,   @Page1_Button_Event())
	BindWidgetEvent(#Page1_Button_SlideDown, @Page1_Button_Event())
	BindWidgetEvent(#Page1_Button_Pop,       @Page1_Button_Event())
	BindWidgetEvent(#Page1_Button_Fade,      @Page1_Button_Event())
	BindWidgetEvent(#Page1_Button_Flip,      @Page1_Button_Event())
	
EndProcedure

OpenPage1()

; IDE Options = PureBasic 5.21 LTS (Windows - x86)
; CursorPosition = 2
; Folding = --
; EnableXP