XIncludeFile "..\p2w.pbi"

P2W_Converter_SetProfile("pb2webtest")

EnableExplicit

Enumeration 
  #Window
  #CanvasGadget
  #ButtonGadget
EndEnumeration

Procedure CanvasEvent()
  
  Protected x, y
  
  If EventType() = #PB_EventType_LeftButtonDown Or
     (EventType() = #PB_EventType_MouseMove And 
      GetGadgetAttribute(#CanvasGadget, #PB_Canvas_Buttons) & #PB_Canvas_LeftButton)
    
    If StartDrawing(CanvasOutput(#CanvasGadget))
      
      x = GetGadgetAttribute(#CanvasGadget, #PB_Canvas_MouseX)
      y = GetGadgetAttribute(#CanvasGadget, #PB_Canvas_MouseY)
      
      Circle(x, y, 10, RGB(Random(255), Random(255), Random(255)))
      
      StopDrawing()
      
    EndIf
    
  EndIf
  
EndProcedure

Procedure ButtonEvent()
	
	P2W_SaveCanvas(#CanvasGadget, "myArtWork.png")
	
EndProcedure

; Window2 -> Paint!

OpenWindow(#Window, 350, 350, 220, 260, "Paint!", #PB_Window_SystemMenu | #PB_Window_ScreenCentered)
CanvasGadget(#CanvasGadget, 10, 10, 200, 200)
ButtonGadget(#ButtonGadget, 10, 220, 200, 30, "Save to disk")

BindGadgetEvent(#CanvasGadget, @CanvasEvent(), #PB_EventType_LeftButtonDown)
BindGadgetEvent(#CanvasGadget, @CanvasEvent(), #PB_EventType_LeftButtonUp)
BindGadgetEvent(#CanvasGadget, @CanvasEvent(), #PB_EventType_MouseMove)
BindGadgetEvent(#ButtonGadget, @ButtonEvent())

P2W_Converter_Begin_Comment
  Repeat : Until WaitWindowEvent() = #PB_Event_CloseWindow
P2W_Converter_End_Comment
; IDE Options = PureBasic 5.21 LTS (Windows - x86)
; CursorPosition = 45
; FirstLine = 10
; Folding = -
; EnableXP