; DeviceGadget

XIncludeFile "..\..\..\p2w.pbi"
XIncludeFile "..\..\..\UserGadgets\DeviceGadget\DeviceGadget.pbi"
XIncludeFile "DeviceGadget.pbf"

P2W_Converter_SetProfile("pb2webtest")

OpenWindow_0()

Global myDevice = DeviceGadget(#PB_Any)

Procedure DeviceMotionEvent()
	
	Protected DeviceInformations.s
	
	DeviceInformations = GetGadgetItemText(myDevice, #PB_Device_Motion)
	
	SetGadgetText(#lblAccelerationX,     "AccelerationX: "     + StringField(DeviceInformations, 1, ";"))
	SetGadgetText(#lblAccelerationY,     "AccelerationY: "     + StringField(DeviceInformations, 2, ";"))
	SetGadgetText(#lblAccelerationZ,     "AccelerationZ: "     + StringField(DeviceInformations, 3, ";"))
	SetGadgetText(#lblRotationRateAlpha, "RotationRateAlpha: " + StringField(DeviceInformations, 4, ";"))
	SetGadgetText(#lblRotationRateBeta,  "RotationRateBeta: "  + StringField(DeviceInformations, 5, ";"))
	SetGadgetText(#lblRotationRateGamma, "RotationRateGamma: " + StringField(DeviceInformations, 6, ";"))
	
EndProcedure

Procedure DeviceOrientationEvent()
	
	Protected DeviceInformations.s
	
	DeviceInformations = GetGadgetItemText(myDevice, #PB_Device_Orientation)
	
	SetGadgetText(#lblOrientationAlpha, "OrientationAlpha: " + StringField(DeviceInformations, 1, ";"))
	SetGadgetText(#lblOrientationBeta,  "OrientationBeta: "  + StringField(DeviceInformations, 2, ";"))
	SetGadgetText(#lblOrientationGamma, "OrientationGamma: " + StringField(DeviceInformations, 3, ";"))
	
EndProcedure

BindGadgetEvent(myDevice, @DeviceMotionEvent(),      #PB_EventType_DeviceMotion)
BindGadgetEvent(myDevice, @DeviceOrientationEvent(), #PB_EventType_DeviceOrientation)


; IDE Options = PureBasic 5.40 LTS (Windows - x86)
; CursorPosition = 11
; Folding = -
; EnableXP