﻿EnableExplicit

XIncludeFile "..\..\..\p2w.pbi"
XIncludeFile "..\..\..\UserGadgets\PatternLockGadget\PatternLockGadget.pbi"

P2W_Converter_SetProfile("pb2webtest")

Enumeration
	#Window
EndEnumeration

Enumeration
	#myPatternLockGadget
	#cmdGetGadgetState
	#cmdSetGadgetStateError
	#cmdSetGadgetStateReset
EndEnumeration

Procedure PatternLockGadgetCallback(Pattern.s)
	
	Debug "Pattern (via Callback): " + Pattern
	
EndProcedure

Procedure cmdGetGadgetState_Event()
	
	; get the pattern
	Debug "Pattern (via GetGadgetState()): " + Str(GetGadgetState(#myPatternLockGadget))
	
EndProcedure

Procedure cmdSetGadgetStateError_Event()
	
	SetGadgetState(#myPatternLockGadget, #PB_PatternLock_Error)
	
EndProcedure

Procedure cmdSetGadgetStateReset_Event()
	
	SetGadgetState(#myPatternLockGadget, #PB_PatternLock_Reset)
	
EndProcedure

Define newY = 0
Define newW

OpenWindow(#Window, #PB_Ignore, #PB_Ignore, 350, 450, "PatternLockGadget()", #PB_Window_ScreenCentered)

PatternLockGadget(#myPatternLockGadget, 10, 10, @PatternLockGadgetCallback())

newY = GadgetY(#myPatternLockGadget) + GadgetHeight(#myPatternLockGadget) + 10
newW = GadgetWidth(#myPatternLockGadget)

ButtonGadget(#cmdGetGadgetState, 10, newY, newW, 25, "GetGadgetState()")
BindGadgetEvent(#cmdGetGadgetState, @cmdGetGadgetState_Event())

newY = GadgetY(#cmdGetGadgetState) + GadgetHeight(#cmdGetGadgetState) + 10

ButtonGadget(#cmdSetGadgetStateError, 10, newY, newW, 25, "SetGadgetState(Error)")
BindGadgetEvent(#cmdSetGadgetStateError, @cmdSetGadgetStateError_Event())

newY = GadgetY(#cmdSetGadgetStateError) + GadgetHeight(#cmdSetGadgetStateError) + 10

ButtonGadget(#cmdSetGadgetStateReset, 10, newY, newW, 25, "SetGadgetState(Reset)")
BindGadgetEvent(#cmdSetGadgetStateReset, @cmdSetGadgetStateReset_Event())

; IDE Options = PureBasic 5.40 LTS (Windows - x86)
; CursorPosition = 2
; Folding = --
; EnableUnicode
; EnableXP