﻿EnableExplicit

XIncludeFile "..\..\..\p2w.pbi"
XIncludeFile "..\..\..\UserGadgets\SlideGadget\SlideGadget.pbi"

P2W_Converter_SetProfile("pb2webtest")

OpenLibrary(#PB_Any, "notify.min.js")

Enumeration
	#Desktop
	#mySlideGadget
	#lblHint
	#cmdSettings
	#cmdOK
	#cmdCancel
EndEnumeration

Procedure ShowNoty(Message.s)
	! $.notify( Message, "success" );
EndProcedure

Procedure myButtonEvent()
	Select EventGadget()
		Case #cmdSettings
			SetGadgetState(#mySlideGadget, 1)
		Case #cmdOK
			ShowNoty("Settings saved successfully.")
			SetGadgetState(#mySlideGadget, 0)
		Case #cmdCancel
			SetGadgetState(#mySlideGadget, 0)
	EndSelect
EndProcedure

Procedure SetParent(Child, NewParent)
	! NewParent.append($("#g_" + Child));
EndProcedure

Procedure SetBackgroundColor(Element, Color.s)
	! Element.css("background-color", Color);
EndProcedure

OpenWindow(#Desktop, 0, 0, 0, 0, "SlideGadget() - Test", #PB_Window_BorderLess | #PB_Window_Maximize)

SlideGadget(#mySlideGadget, 10, 10, 500, 500)

Define myDiv1, myDiv2

myDiv1 = AddGadgetItem(#mySlideGadget, -1, "<h1 style='margin-left:10px'>Application</h1>")
SetBackgroundColor(myDiv1, "#C7C7C7")

myDiv2 = AddGadgetItem(#mySlideGadget, -1, "<h1 style='margin-left:10px'>Settings</h1>")
SetBackgroundColor(myDiv2, "#DFDFDF")

TextGadget(#lblHint, 50, 100, 100, 30, "slide me...")
SetParent(#lblHint, myDiv1)

ButtonGadget(#cmdSettings, GadgetWidth(#mySlideGadget) - 110, GadgetHeight(#mySlideGadget) - 40, 100, 30, "Settings")
SetParent(#cmdSettings, myDiv1)

ButtonGadget(#cmdOK, GadgetWidth(#mySlideGadget) - 220, GadgetHeight(#mySlideGadget) - 40, 100, 30, "OK")
SetParent(#cmdOK, myDiv2)

ButtonGadget(#cmdCancel, GadgetWidth(#mySlideGadget) - 110, GadgetHeight(#mySlideGadget) - 40, 100, 30, "Cancel")
SetParent(#cmdCancel, myDiv2)

BindGadgetEvent(#cmdSettings, @myButtonEvent(), #PB_EventType_LeftClick)
BindGadgetEvent(#cmdOK,       @myButtonEvent(), #PB_EventType_LeftClick)
BindGadgetEvent(#cmdCancel,   @myButtonEvent(), #PB_EventType_LeftClick)

DataSection
	IncludeBinary "notify.min.js"
EndDataSection
; IDE Options = PureBasic 5.40 LTS (Windows - x86)
; Folding = g-
; EnableUnicode
; EnableXP