XIncludeFile "..\p2w.pbi"

XIncludeFile "DateGadget.pbf"

P2W_Converter_SetProfile("pb2webtest")

EnableJS
	;cCommon.largeWindowFix = true;
DisableJS

; Set Language to 'de':
OpenLibrary(0, "libraries/jquery.ui.datepicker/i18n/datepicker-de.js")
OpenLibrary(0, "libraries/jquery.timepicker/i18n/jquery-ui-timepicker-de.js")

OpenfrmMain()

Procedure cmdGetGadgetState_Event()
	SetGadgetText(#lblGetGadgetState, Str(GetGadgetState(#DateGadget)))
EndProcedure

Procedure cmdSetGadgetState_Event()
	SetGadgetState(#DateGadget, Val(GetGadgetText(#txtSetGadgetState)))
EndProcedure

Procedure cmdGetGadgetText_Event()
	SetGadgetText(#lblGetGadgetText, GetGadgetText(#DateGadget))
EndProcedure

Procedure cmdSetGadgetText_Event()
	SetGadgetText(#DateGadget, GetGadgetText(#txtSetGadgetText))
EndProcedure

Procedure DateGadget_Event()
	
	Select EventType()
		Case #PB_EventType_CloseItem
			Debug "DateGadget_Event() -> #PB_EventType_CloseItem"
		Case #PB_EventType_Change
			Debug "DateGadget_Event() -> #PB_EventType_Change -> " + GetGadgetText(#DateGadget)
	EndSelect
	
EndProcedure

BindGadgetEvent(#cmdGetGadgetState, @cmdGetGadgetState_Event())
BindGadgetEvent(#cmdGetGadgetText,  @cmdGetGadgetText_Event())
BindGadgetEvent(#cmdSetGadgetState, @cmdSetGadgetState_Event())
BindGadgetEvent(#cmdSetGadgetText,  @cmdSetGadgetText_Event())

SetGadgetState(#DateGadget, Date())

; SetGadgetState(#DateGadget, -1) ; empties the gadget

BindGadgetEvent(#DateGadget, @DateGadget_Event(), #PB_EventType_Change)
BindGadgetEvent(#DateGadget, @DateGadget_Event(), #PB_EventType_CloseItem)

Define xMas = ParseDate("%dd.%mm.%yyyy", "24.12.2015")

SetGadgetState(#DateGadget, xMas)

SetGadgetCss(#DateGadget, "background", "transparent url('calendar.png') center right no-repeat")

SetGadgetAttribute(#DateGadget, #PB_Date_Minimum, ParseDate("%dd.%mm.%yyyy", "16.12.2015"))
SetGadgetAttribute(#DateGadget, #PB_Date_Maximum, ParseDate("%dd.%mm.%yyyy", "26.12.2015"))

DataSection
	
	; more icons under: https://www.iconfinder.com/search/?q=calendar&minimum=16&maximum=16&price=free
	
	IncludeBinary "calendar.png"
	
EndDataSection


; IDE Options = PureBasic 5.42 Beta 1 LTS (Windows - x86)
; CursorPosition = 64
; FirstLine = 17
; Folding = -
; EnableXP