XIncludeFile "..\p2w.pbi"

P2W_Converter_SetProfile("pb2webtest")

EnableCGI

ProcedureDLL.s GetData_Get(Param1.s, Param2.s)
	Protected ReturnValue.s
	Param1 = URLDecoder(Param1)
	Param2 = URLDecoder(Param2)
	ReturnValue = Param1 + " / " + Param2 + " from GetData_Get()"
	ProcedureReturn ReturnValue
EndProcedure

ProcedureDLL.s GetData_Post(Param1.s)
	Protected ReturnValue.s
	Param1 = URLDecoder(Param1)
	ReturnValue = "'" + Param1 + "' from GetData_Post()"
	ProcedureReturn ReturnValue
EndProcedure

ProcedureDLL.s GetData_AjaxCall()
	Protected ReturnValue.s
	ReturnValue = "Hello World"
	ProcedureReturn ReturnValue
EndProcedure

DisableCGI

Procedure.s AsyncAjaxCall(URL.s)
	
	Protected ReturnValue.s
	
	EnableJS
	;    $.ajax({
	;        url: URL,
	;        type: 'GET',
	;        data: {
	;          // falls parameter uebertragen werden sollen, dann hier eintragen
	;        },
	;        dataType: 'text',
	;        async: false,
	;        success: function(result) {
	;            ReturnValue = result
	;        },
	;        error: function(a, b, c) {
	;            ReturnValue = b + '/' + c
	;        }
	;    });
	DisableJS
	
	ProcedureReturn ReturnValue
	
EndProcedure

Procedure GetData_Succes(ReceivedData.s)
	Debug "2: " + Str(ElapsedMilliseconds())
	MessageRequester("", ReceivedData)
EndProcedure

Procedure GetData_Error(a.s, b.s, c.s)
	MessageRequester("", b + " / " + c)
EndProcedure

Define myData.s 

; Get

myData = "&Param1=Hello World!&Param2=42"

P2W_HttpRequest("http://localhost/cgi-bin/pb2webtest.exe?request=GetData_Get" + myData, 
                "GET", 
                "", 
                "text", 
                #True, 
                @GetData_Succes(), 
                @GetData_Error())

; Post

myData = "raw data..."

P2W_HttpRequest("http://localhost/cgi-bin/pb2webtest.exe?request=GetData_Post", 
                "POST", 
                myData, 
                "text", 
                #True, 
                @GetData_Succes(), 
                @GetData_Error())


Debug AsyncAjaxCall("http://localhost/cgi-bin/pb2webtest.exe?request=GetData_AjaxCall")
; IDE Options = PureBasic 5.31 (Windows - x86)
; CursorPosition = 42
; Folding = --
; EnableXP