declare class cGadget {
    static AddGadgetColumn(Gadget: number, Position: number, Title: string, Width: number | string): void;
    static AddGadgetItem(Gadget: number, Position: any, Text: any, ImageID?: any, Flags?: number): any;
    static BindGadgetEvent(Gadget: number, Callback: any, EventType?: number): void;
    static BindGadgetItemEvent(Gadget: number, Item: number, Callback: any, EventType?: number): void;
    static ButtonGadget(Gadget: number, x: number, y: number, Width: number, Height: number, Text: string, Flags?: number): number;
    static ButtonImageGadget(Gadget: number, x: number, y: number, Width: number, Height: number, ImageID: any, Flags?: number): number;
    static CalendarGadget(Gadget: number, x: number, y: number, Width: number, Height: number, Date?: number, Flags?: number, Callback?: any): number;
    static CanvasGadget(Gadget: number, x: number, y: number, Width: number, Height: number, Flags?: number): number;
    static CanvasOutput(Gadget: number): string;
    static CenterGadget(Gadget: number, Direction?: number): void;
    static GetParentWindow(Gadget: number): number;
    static CheckBoxGadget(Gadget: number, x: number, y: number, Width: number, Height: number, Text: string, Flags?: number): number;
    static ClearGadgetItems(Gadget: number): number;
    static CloseGadgetList(): void;
    static cbRenderItem(ul: any, item: any): JQuery;
    static ComboBoxGadget(Gadget: number, x: number, y: number, Width: number, Height: number, Flags?: number): number;
    static ContainerGadget(Gadget: number, x: number, y: number, Width: number, Height: number, Flags?: number): number;
    static CountGadgetItems(Gadget: number): number;
    static DateGadget(Gadget: number, x: number, y: number, Width: number, Height: number, Mask?: string, xDate?: any, Flags?: number, Callback?: any): number;
    static DisableGadget(Gadget: number, State: boolean): void;
    static EditorGadget(Gadget: number, x: number, y: number, Width: any, Height: any, Flags?: number, Callback?: any): number;
    static ExplorerComboGadget(Gadget: number, x: number, y: number, Width: number, Height: number, Directory: string, Flags?: number): number;
    static ExplorerListGadget(Gadget: number, x: any, y: any, Width: any, Height: any, Directory: string, Flags: any): number;
    static ExplorerTreeGadget(Gadget: number, x: any, y: any, Width: any, Height: any, Directory: string, Flags: any): number;
    static FrameGadget(Gadget: number, x: number, y: number, Width: number, Height: number, Text: string, Flags?: number): number;
    static FreeGadget(Gadget: any): void;
    static GadgetHeight(Gadget: number, Mode?: number): number;
    static GadgetID(Gadget: number): number;
    static GadgetItemID(Gadget: number, Item: number): number;
    static GadgetToolTip(Gadget: number, Text: string): void;
    static GadgetType(Gadget: number): string;
    static GadgetWidth(Gadget: number, Mode?: number): number;
    static GadgetX(Gadget: number, Flags?: number): number;
    static GadgetY(Gadget: number, Flags?: number): number;
    static GetActiveGadget(): number;
    static GetGadgetAttr(Gadget: number, propertyName: string): any;
    static GetGadgetAttribute(Gadget: number, Attribute: number): number;
    static GetGadgetColor(Gadget: number, ColorType: number): number;
    static GetGadgetCss(Gadget: number, propertyName: string): any;
    static GetGadgetData(Gadget: number, Key?: string): number;
    static GetGadgetFont(Gadget: number): number;
    static GetGadgetHtml(Gadget: number, Html: string): string;
    static GetGadgetItemAttribute(Gadget: number, Item: number, Attribute: number, Column?: number): number;
    static GetGadgetItemColor(Gadget: number, Item: number, ColorType: number, Column?: number): number;
    static GetGadgetItemData(Gadget: number, Item: number, Key?: string): number;
    static GetGadgetItemState(Gadget: number, Item: number): any;
    static GetGadgetItemText(Gadget: number, Item: number, Column?: number): string;
    static GetGadgetState(Gadget: number): any;
    static GetGadgetCsv(Gadget: number, IncludeHeader?: boolean, FieldDelimiter?: string, TextDelimiter?: string): string;
    static GetGadgetText(Gadget: number, Attribute?: number): string;
    static HideGadget(Gadget: number, State: any, Effect?: string, Duration?: number, Callback?: any): void;
    static HtmlGadget(Gadget: number, x: number, y: number, Width: number, Height: number, Html: string): number;
    static HyperLinkGadget(Gadget: number, x: number, y: number, Width: number, Height: number, Text: string, Color: number, Flags?: number): number;
    static IFrameGadget(Gadget: number, x: number, y: number, Width: number, Height: number): number;
    static ImageGadget(Gadget: number, x: number, y: number, Width: number, Height: number, ImageID: any, Flags?: number): number;
    static IPAddressGadget(Gadget: number, x: number, y: number, Width: number, Height: number): number;
    static IsGadget(Gadget: number): boolean;
    static ListIconGadget(Gadget: number, x: number, y: number, Width: number, Height: number, Title: string, TitleWidth: number | string, Flags?: number): number;
    static ListViewGadget(Gadget: number, x: number, y: number, Width: number, Height: number, Flags?: number): number;
    static MDIGadget(Gadget: number, x: number, y: number, Width: number, Height: number, SubMenu: number, FirstMenuItem: number, Flags?: number): number;
    static OpenGadgetList(Gadget: number, Item?: number): void;
    static OptionGadget(Gadget: number, x: number, y: number, Width: number, Height: number, Text: string): number;
    static PanelGadget(Gadget: number, x: number, y: number, Width: number, Height: number, Flags?: number): number;
    static ProgressBarGadget(Gadget: number, x: number, y: any, Width: number, Height: number, Minimum: number, Maximum: number, Flags?: number): number;
    static RemoveGadgetAttr(Gadget: number, propertyName: string): any;
    static RemoveGadgetClass(Gadget: number, className: string): any;
    static AddGadgetClass(Gadget: number, className: string): any;
    static GetGadgetClass(Gadget: number, className: string): any;
    static SwitchGadgetClass(Gadget: number, removeClassName: string, addClassName: string): any;
    static RemoveGadgetColumn(Gadget: number, Column: number): void;
    static RemoveGadgetItem(Gadget: number, Position: number): void;
    static ResizeGadget(Gadget: number, x: number, y: number, Width: number, Height: number): void;
    static ScrollAreaGadget(Gadget: number, x: number, y: number, Width: number, Height: number, ScrollAreaWidth: number, ScrollAreaHeight: number, ScrollStep?: number, Flags?: number): number;
    static ScrollBarGadget(Gadget: number, x: number, y: number, Width: number, Height: number, Min: number, Max: number, PageLength: number, Flags?: number): number;
    static SetActiveGadget(Gadget: number): void;
    static SetGadgetAttr(Gadget: number, attrName: string, attrValue: string): any;
    static SetGadgetAttribute(Gadget: number, Attribute: number, Value: any): void;
    static SetGadgetColor(Gadget: number, ColorType: number, Color: number): void;
    static SetGadgetCss(Gadget: number, propertyName: string, propertyValue: string): any;
    static SetGadgetCursor(Gadget: any, Cursor: any): any;
    static SetGadgetData(Gadget: number, Value: any, Key?: string): void;
    static SetGadgetFont(Gadget: number, FontID: number): void;
    static SetGadgetHtml(Gadget: number, Html: string): void;
    static SetGadgetItemAttribute(Gadget: number, Item: number, Attribute: number, Value: any, Column?: number): void;
    static SetGadgetItemColor(Gadget: number, Item: number, ColorType: number, Color: number, Column?: number): void;
    static SetGadgetItemData(Gadget: number, Item: number, Value: any, Key?: string): void;
    static SetGadgetItemImage(Gadget: number, Item: number, ImageID: number): void;
    static SetGadgetItemState(Gadget: number, Position: number, State: number): void;
    static SetGadgetItemText(Gadget: number, Item: number, Text: any, Column?: number): void;
    static SetGadgetState(Gadget: number, State: number, Callback?: any): void;
    static SetGadgetText(Gadget: number, Text: string): void;
    static ShortcutGadget(Gadget: number, x: number, y: number, Width: number, Height: number, Shortcut: number): number;
    static SpinGadget(Gadget: number, x: number, y: number, Width: number, Height: number, Minimum: number, Maximum: number, Flags?: number): number;
    static SplitterGadget(Gadget: number, x: number, y: number, Width: number, Height: number, Gadget1: number, Gadget2: number, Flags?: number): number;
    static GetDefaultColors(selector: JQuery): void;
    static StringGadget(Gadget: number, x: number, y: number, Width: number, Height: number, Content: string, Flags?: number): number;
    static TextGadget(Gadget: number, x: number, y: number, Width: number, Height: number, Text: string, Flags?: number): number;
    static TrackBarGadget(Gadget: number, x: number, y: number, Width: number, Height: number, Minimum: number, Maximum: number, Flags?: number): number;
    static TreeGadget(Gadget: number, x: number, y: number, Width: number, Height: number, Flags?: number): number;
    static UnbindGadgetEvent(Gadget: number, Callback: any, EventType?: number): void;
    static UseGadgetList(WindowID: any): any;
    static WebGadget(Gadget: number, x: number, y: number, Width: number, Height: number, URL: string): number;
    static WindowTitleButtonGadget(Gadget: number, Icon: string, ToolTip?: string): any;
}

declare class cWindow {
    static AddKeyboardShortcut(Window: number, Key: number, Event: any): void;
    static BindKeyboardShortcut(Object: number, Key: number, Callback: any, EventMenu: number, EventType?: number): void;
    static AddWindowTimer(Window: number, Timer: number, Timeout: number): void;
    static IsWindowTimer(Window: number, Timer: number): boolean;
    static BindEvent(Event: number, Callback: any, Window?: number, Object?: number, EventType?: number): void;
    static CenterWindow(Window: number, Direction?: number): void;
    static CloseWindow(Window: number): void;
    static DisableWindow(Window: number, State: boolean): void;
    static EventlParam(): number;
    static EventwParam(): number;
    static GetActiveWindow(): number;
    static GetWindowColor(Window: number): number;
    static GetWindowData(Window: number, DataKey?: string): number;
    static GetWindowState(Window: number): number;
    static GetWindowTitle(Window: number): string;
    static HideWindow(Window: number, State: boolean, Flags?: number, Duration?: number, Callback?: any): void;
    static IsWindow(Window: number): boolean;
    static OpenWindow(Window: number, x: number, y: number, InnerWidth: number, InnerHeight: number, Title: string, Flags?: number, ParentID?: number): any;
    static RemoveKeyboardShortcut(Window: number, Key: number): void;
    static RemoveWindowTimer(Window: number, Timer: number): void;
    static ResizeWindow(Window: number, x: number, y: number, Width: number, Height: number): void;
    static SetActiveWindow(Window: number): void;
    static SetWindowBackgroundImage(Window: number, Image: any): void;
    static SetWindowCallback(ProcedureName: number, Window?: number): void;
    static SetWindowColor(Window: number, Color: any): void;
    static SetWindowData(Window: number, Value: any, DataKey?: string): void;
    static SetWindowState(Window: number, State: number): void;
    static SetWindowTitle(Window: number, Title: string): void;
    static SmartWindowRefresh(Window: number, State: boolean): void;
    static StickyWindow(Window: number, State: boolean): void;
    static UnbindEvent(Event: number, Callback: any, Window?: number, Object?: number, EventType?: number): void;
    static WaitWindowEvent(Timeout?: number): number;
    static WindowBounds(Window: number, MinimalWidth: number, MinimalHeight: number, MaximalWidth: number, MaximalHeight: number): void;
    static WindowEvent(): number;
    static WindowHeight(Window: number, Mode?: number): number;
    static WindowID(Window: number): number;
    static WindowMouseX(Window: number): number;
    static WindowMouseY(Window: number): number;
    static WindowOutput(Window: number): number;
    static WindowWidth(Window: number, Mode?: number): number;
    static WindowX(Window: number, Mode?: number): number;
    static WindowY(Window: number, Mode?: number): number;
    static getShortCutAsString(shortcut: any): string;
}

declare class cConstants {
    static PB_Compiler_OS: number;
    static PB_OS_Windows: number;
    static PB_OS_Linux: number;
    static PB_OS_AmigaOS: number;
    static PB_OS_MacOS: number;
    static PB_Compiler_Processor: number;
    static PB_Processor_x86: number;
    static PB_Processor_x64: number;
    static PB_Processor_PowerPC: number;
    static PB_Processor_mc68000: number;
    static PB_Compiler_ExecutableFormat: number;
    static PB_Compiler_Executable: number;
    static PB_Compiler_Console: number;
    static PB_Compiler_DLL: number;
    static PB_Compiler_Date: number;
    static PB_Compiler_File: string;
    static PB_Compiler_FilePath: string;
    static PB_Compiler_Filename: string;
    static PB_Compiler_Line: number;
    static PB_Compiler_Procedure: string;
    static PB_Compiler_Module: string;
    static PB_Compiler_Version: number;
    static PB_Compiler_Home: string;
    static PB_Compiler_Debugger: number;
    static PB_Compiler_Thread: number;
    static PB_Compiler_Unicode: number;
    static PB_Compiler_LineNumbering: number;
    static PB_Compiler_InlineAssembly: number;
    static PB_Compiler_EnableExplicit: number;
    static PB_Compiler_IsMainFile: number;
    static PB_Compiler_IsIncludeFile: number;
    static PB_Center_Horizontal: number;
    static PB_Center_Vertical: number;
    static PB_Center_Both: number;
    static PB_2DDrawing_AllChannels: number;
    static PB_2DDrawing_AlphaBlend: number;
    static PB_2DDrawing_AlphaChannel: number;
    static PB_2DDrawing_AlphaClip: number;
    static PB_2DDrawing_CustomFilter: number;
    static PB_2DDrawing_Default: number;
    static PB_2DDrawing_Gradient: number;
    static PB_2DDrawing_Outlined: number;
    static PB_2DDrawing_Transparent: number;
    static PB_2DDrawing_XOr: number;
    static PB_Absolute: number;
    static PB_All: number;
    static PB_Any: number;
    static PB_BillboardGroup: number;
    static PB_Button_Default: number;
    static PB_Button_Image: number;
    static PB_Button_Left: number;
    static PB_Button_MultiLine: number;
    static PB_Button_PressedImage: number;
    static PB_Button_Right: number;
    static PB_Button_Split: number;
    static PB_Button_Toggle: number;
    static PB_Calendar_Bold: number;
    static PB_Calendar_Borderless: number;
    static PB_Calendar_Maximum: number;
    static PB_Calendar_Minimum: number;
    static PB_Calendar_Normal: number;
    static PB_Canvas_Alt: number;
    static PB_Canvas_Border: number;
    static PB_Canvas_Buttons: number;
    static PB_Canvas_Clip: number;
    static PB_Canvas_ClipMouse: number;
    static PB_Canvas_Command: number;
    static PB_Canvas_Control: number;
    static PB_Canvas_Cursor: number;
    static PB_Canvas_CustomCursor: number;
    static PB_Canvas_DrawFocus: number;
    static PB_Canvas_Image: number;
    static PB_Canvas_Input: number;
    static PB_Canvas_Key: number;
    static PB_Canvas_Keyboard: number;
    static PB_Canvas_LeftButton: number;
    static PB_Canvas_MiddleButton: number;
    static PB_Canvas_Modifiers: number;
    static PB_Canvas_MouseX: number;
    static PB_Canvas_MouseY: number;
    static PB_Canvas_RightButton: number;
    static PB_Canvas_Shift: number;
    static PB_Canvas_WheelDelta: number;
    static PB_CheckBox_Center: number;
    static PB_Checkbox_Checked: number;
    static PB_Checkbox_Inbetween: number;
    static PB_CheckBox_Right: number;
    static PB_CheckBox_ThreeState: number;
    static PB_Checkbox_Unchecked: number;
    static PB_Cipher_CBC: number;
    static PB_Cipher_Decode: number;
    static PB_Cipher_ECB: number;
    static PB_Cipher_Encode: number;
    static PB_Cipher_NoPadding: number;
    static PB_Cipher_URL: number;
    static PB_Clipboard_Image: number;
    static PB_ComboBox_Editable: number;
    static PB_ComboBox_Image: number;
    static PB_ComboBox_Simple: number;
    static PB_ComboBox_LowerCase: number;
    static PB_ComboBox_UpperCase: number;
    static PB_ComboBox_MaxHeight: number;
    static PB_Constant: number;
    static PB_Container_BorderLess: number;
    static PB_Container_Double: number;
    static PB_Container_Flat: number;
    static PB_Container_Raised: number;
    static PB_Container_Single: number;
    static PB_Cursor_Arrows: number;
    static PB_Cursor_Busy: number;
    static PB_Cursor_Cross: number;
    static PB_Cursor_Default: number;
    static PB_Cursor_Denied: number;
    static PB_Cursor_Hand: number;
    static PB_Cursor_IBeam: number;
    static PB_Cursor_Invisible: number;
    static PB_Cursor_LeftDownRightUp: number;
    static PB_Cursor_LeftRight: number;
    static PB_Cursor_LeftUpRightDown: number;
    static PB_Cursor_UpDown: number;
    static PB_Database_Blob: number;
    static PB_Database_Double: number;
    static PB_Database_Float: number;
    static PB_Database_Long: number;
    static PB_Database_ODBC: number;
    static PB_Database_PostgreSQL: number;
    static PB_Database_Quad: number;
    static PB_Database_SQLite: number;
    static PB_Database_String: number;
    static PB_Date_Accessed: number;
    static PB_Date_Calendar: number;
    static PB_Date_CheckBox: number;
    static PB_Date_Created: number;
    static PB_Date_Day: number;
    static PB_Date_Hour: number;
    static PB_Date_Maximum: number;
    static PB_Date_Minimum: number;
    static PB_Date_Minute: number;
    static PB_Date_Modified: number;
    static PB_Date_Month: number;
    static PB_Date_Second: number;
    static PB_Date_UpDown: number;
    static PB_Date_Week: number;
    static PB_Date_Year: number;
    static PB_Default: number;
    static PB_DirectoryEntry_Directory: number;
    static PB_DirectoryEntry_File: number;
    static PB_Drag_Copy: number;
    static PB_Drag_Enter: number;
    static PB_Drag_Finish: number;
    static PB_Drag_Leave: number;
    static PB_Drag_Link: number;
    static PB_Drag_Move: number;
    static PB_Drag_None: number;
    static PB_Drag_Update: number;
    static PB_Drop_Files: number;
    static PB_Drop_Image: number;
    static PB_Drop_Private: number;
    static PB_Drop_Text: number;
    static PB_Editor_ReadOnly: number;
    static PB_Editor_WordWrap: number;
    static PB_Event_ActivateWindow: number;
    static PB_Event_ClientConnected: number;
    static PB_Event_ClientDisconnected: number;
    static PB_Event_CloseWindow: number;
    static PB_Event_DataReceived: number;
    static PB_Event_DeactivateWindow: number;
    static PB_Event_FileReceived: number;
    static PB_Event_FirstCustomValue: number;
    static PB_Event_Gadget: number;
    static PB_Event_GadgetDrop: number;
    static PB_Event_LeftClick: number;
    static PB_Event_LeftDoubleClick: number;
    static PB_Event_MaximizeWindow: number;
    static PB_Event_Menu: number;
    static PB_Event_MinimizeWindow: number;
    static PB_Event_MoveWindow: number;
    static PB_Event_None: number;
    static PB_Event_Repaint: number;
    static PB_Event_RestoreWindow: number;
    static PB_Event_RightClick: number;
    static PB_Event_SizeWindow: number;
    static PB_Event_SizeWindowStart: number;
    static PB_Event_SizeWindowStop: number;
    static PB_Event_SysTray: number;
    static PB_Event_Timer: number;
    static PB_Event_WindowDrop: number;
    static PB_Event_BatteryStatus: number;
    static PB_File_Append: number;
    static PB_File_IgnoreEOL: number;
    static PB_File_NoBuffering: number;
    static PB_File_NoShare: number;
    static PB_File_SharedRead: number;
    static PB_File_SharedWrite: number;
    static PB_FileSystem_Archive: number;
    static PB_FileSystem_Compressed: number;
    static PB_FileSystem_Force: number;
    static PB_FileSystem_Hidden: number;
    static PB_FileSystem_NoExtension: number;
    static PB_FileSystem_Normal: number;
    static PB_FileSystem_ReadOnly: number;
    static PB_FileSystem_Recursive: number;
    static PB_FileSystem_System: number;
    static PB_Font_Bold: number;
    static PB_Font_HighQuality: number;
    static PB_Font_Italic: number;
    static PB_Font_StrikeOut: number;
    static PB_Font_Underline: number;
    static PB_FontRequester_Effects: number;
    static PB_Frame_Double: number;
    static PB_Frame_Flat: number;
    static PB_Frame_Single: number;
    static PB_Gadget_ActualSize: number;
    static PB_Gadget_FrontColor: number;
    static PB_Gadget_BackColor: number;
    static PB_Gadget_Color: number;
    static PB_Gadget_BorderColor: number;
    static PB_Gadget_ContainerCoordinate: number;
    static PB_Gadget_GrayTextColor: number;
    static PB_Gadget_LineColor: number;
    static PB_Gadget_RequiredSize: number;
    static PB_Gadget_ScreenCoordinate: number;
    static PB_Gadget_TitleBackColor: number;
    static PB_Gadget_TitleFrontColor: number;
    static PB_Gadget_WindowCoordinate: number;
    static PB_GadgetType_Button: string;
    static PB_GadgetType_ButtonImage: string;
    static PB_GadgetType_Calendar: string;
    static PB_GadgetType_Canvas: string;
    static PB_GadgetType_CheckBox: string;
    static PB_GadgetType_ComboBox: string;
    static PB_GadgetType_Container: string;
    static PB_GadgetType_Date: string;
    static PB_GadgetType_Editor: string;
    static PB_GadgetType_ExplorerCombo: string;
    static PB_GadgetType_ExplorerList: string;
    static PB_GadgetType_ExplorerTree: string;
    static PB_GadgetType_Frame: string;
    static PB_GadgetType_Html: string;
    static PB_GadgetType_HyperLink: string;
    static PB_GadgetType_IFrame: string;
    static PB_GadgetType_Image: string;
    static PB_GadgetType_IPAddress: string;
    static PB_GadgetType_ListIcon: string;
    static PB_GadgetType_ListView: string;
    static PB_GadgetType_MDI: string;
    static PB_GadgetType_Movie: string;
    static PB_GadgetType_Music: string;
    static PB_GadgetType_Option: string;
    static PB_GadgetType_Panel: string;
    static PB_GadgetType_ProgressBar: string;
    static PB_GadgetType_Scintilla: string;
    static PB_GadgetType_ScrollArea: string;
    static PB_GadgetType_ScrollBar: string;
    static PB_GadgetType_Shortcut: string;
    static PB_GadgetType_Spin: string;
    static PB_GadgetType_Splitter: string;
    static PB_GadgetType_String: string;
    static PB_GadgetType_Text: string;
    static PB_GadgetType_TrackBar: string;
    static PB_GadgetType_Tree: string;
    static PB_GadgetType_Web: string;
    static PB_WindowType_Window: number;
    static PB_WindowType_UploadRequester: number;
    static PB_HingeJoint_LowerLimit: number;
    static PB_HingeJoint_UpperLimit: number;
    static PB_HyperLink_Underline: number;
    static PB_HTTP_Asynchronous: number;
    static PB_HTTP_NoRedirect: number;
    static PB_HTTP_Get: number;
    static PB_HTTP_Post: number;
    static PB_Ignore: number;
    static PB_Image_Border: number;
    static PB_Image_DisplayFormat: number;
    static PB_Image_FloydSteinberg: number;
    static PB_Image_InternalDepth: number;
    static PB_Image_OriginalDepth: number;
    static PB_Image_Raised: number;
    static PB_Image_Raw: number;
    static PB_Image_Smooth: number;
    static PB_Image_Transparent: number;
    static PB_ImagePlugin_BMP: number;
    static PB_ImagePlugin_ICON: number;
    static PB_ImagePlugin_JPEG: number;
    static PB_ImagePlugin_JPEG2000: number;
    static PB_ImagePlugin_PNG: number;
    static PB_ImagePlugin_TGA: number;
    static PB_ImagePlugin_TIFF: number;
    static PB_InputRequester_Password: number;
    static PB_Interface: number;
    static PB_Key_0: number;
    static PB_Key_1: number;
    static PB_Key_2: number;
    static PB_Key_3: number;
    static PB_Key_4: number;
    static PB_Key_5: number;
    static PB_Key_6: number;
    static PB_Key_7: number;
    static PB_Key_8: number;
    static PB_Key_9: number;
    static PB_Key_A: number;
    static PB_Key_Add: number;
    static PB_Key_All: number;
    static PB_Key_Apostrophe: number;
    static PB_Key_B: number;
    static PB_Key_Back: number;
    static PB_Key_BackSlash: number;
    static PB_Key_C: number;
    static PB_Key_Capital: number;
    static PB_Key_Comma: number;
    static PB_Key_D: number;
    static PB_Key_Decimal: number;
    static PB_Key_Delete: number;
    static PB_Key_Divide: number;
    static PB_Key_Down: number;
    static PB_Key_E: number;
    static PB_Key_End: number;
    static PB_Key_Equals: number;
    static PB_Key_Escape: number;
    static PB_Key_F: number;
    static PB_Key_F1: number;
    static PB_Key_F10: number;
    static PB_Key_F11: number;
    static PB_Key_F12: number;
    static PB_Key_F2: number;
    static PB_Key_F3: number;
    static PB_Key_F4: number;
    static PB_Key_F5: number;
    static PB_Key_F6: number;
    static PB_Key_F7: number;
    static PB_Key_F8: number;
    static PB_Key_F9: number;
    static PB_Key_G: number;
    static PB_Key_Grave: number;
    static PB_Key_H: number;
    static PB_Key_Home: number;
    static PB_Key_I: number;
    static PB_Key_Insert: number;
    static PB_Key_J: number;
    static PB_Key_K: number;
    static PB_Key_L: number;
    static PB_Key_Left: number;
    static PB_Key_LeftAlt: number;
    static PB_Key_LeftBracket: number;
    static PB_Key_LeftControl: number;
    static PB_Key_LeftShift: number;
    static PB_Key_M: number;
    static PB_Key_Minus: number;
    static PB_Key_Multiply: number;
    static PB_Key_N: number;
    static PB_Key_NumLock: number;
    static PB_Key_O: number;
    static PB_Key_P: number;
    static PB_Key_Pad0: number;
    static PB_Key_Pad1: number;
    static PB_Key_Pad2: number;
    static PB_Key_Pad3: number;
    static PB_Key_Pad4: number;
    static PB_Key_Pad5: number;
    static PB_Key_Pad6: number;
    static PB_Key_Pad7: number;
    static PB_Key_Pad8: number;
    static PB_Key_Pad9: number;
    static PB_Key_PadComma: number;
    static PB_Key_PadEnter: number;
    static PB_Key_PageDown: number;
    static PB_Key_PageUp: number;
    static PB_Key_Pause: number;
    static PB_Key_Period: number;
    static PB_Key_Q: number;
    static PB_Key_R: number;
    static PB_Key_Return: number;
    static PB_Key_Right: number;
    static PB_Key_RightAlt: number;
    static PB_Key_RightBracket: number;
    static PB_Key_RightControl: number;
    static PB_Key_RightShift: number;
    static PB_Key_S: number;
    static PB_Key_Scroll: number;
    static PB_Key_SemiColon: number;
    static PB_Key_Slash: number;
    static PB_Key_Space: number;
    static PB_Key_Subtract: number;
    static PB_Key_T: number;
    static PB_Key_Tab: number;
    static PB_Key_U: number;
    static PB_Key_Up: number;
    static PB_Key_V: number;
    static PB_Key_W: number;
    static PB_Key_X: number;
    static PB_Key_Y: number;
    static PB_Key_Z: number;
    static PB_Keyboard_AllowSystemKeys: number;
    static PB_Keyboard_International: number;
    static PB_Keyboard_Qwerty: number;
    static PB_Label: number;
    static PB_LinkedList: number;
    static PB_List_First: number;
    static PB_List_Last: number;
    static PB_List_After: number;
    static PB_List_Before: number;
    static PB_ListIcon_AlwaysShowSelection: number;
    static PB_ListIcon_CheckBoxes: number;
    static PB_ListIcon_Checked: number;
    static PB_ListIcon_DisplayMode: number;
    static PB_ListIcon_FullRowSelect: number;
    static PB_ListIcon_GridLines: number;
    static PB_ListIcon_HeaderDragDrop: number;
    static PB_ListIcon_Inbetween: number;
    static PB_ListIcon_LargeIcon: number;
    static PB_ListIcon_List: number;
    static PB_ListIcon_MultiSelect: number;
    static PB_ListIcon_Report: number;
    static PB_ListIcon_Selected: number;
    static PB_ListIcon_SmallIcon: number;
    static PB_ListIcon_ThreeState: number;
    static PB_ListIcon_Changed: number;
    static PB_ListIcon_Header: number;
    static PB_ListIcon_Toolbar: number;
    static PB_ListIcon_Footer: number;
    static PB_ListIcon_ColumnHeaders: number;
    static PB_ListIcon_LineNumbers: number;
    static PB_ListIcon_ExpandColumn: number;
    static PB_ListIcon_SelectColumn: number;
    static PB_ListIcon_EmptyRecords: number;
    static PB_ListIcon_ToolbarReload: number;
    static PB_ListIcon_ToolbarColumns: number;
    static PB_ListIcon_ToolbarSearch: number;
    static PB_ListIcon_ToolbarAdd: number;
    static PB_ListIcon_ToolbarEdit: number;
    static PB_ListIcon_ToolbarDelete: number;
    static PB_ListIcon_ToolbarSave: number;
    static PB_ListIcon_SelectionBorder: number;
    static PB_ListIcon_RecordTitles: number;
    static PB_ListIcon_SkipRecords: number;
    static PB_ListIcon_SelectTypeCell: number;
    static PB_ListIcon_ColumnDelimiter: number;
    static PB_ListIcon_RecordDelimiter: number;
    static PB_ListIcon_Columns: number;
    static PB_ListIcon_Records: number;
    static PB_ListIcon_SearchFields: number;
    static PB_ListIcon_HeaderText: number;
    static PB_ListIcon_URL: number;
    static PB_ListIcon_CustomRenderer: number;
    static PB_ListIcon_Editable: number;
    static PB_ListIcon_ColumnWidth: number;
    static PB_ListIcon_Resizable: number;
    static PB_ListIcon_Sortable: number;
    static PB_ListIcon_Alignment: number;
    static PB_ListIcon_Align_Left: number;
    static PB_ListIcon_Align_Right: number;
    static PB_ListIcon_Align_Center: number;
    static PB_ListView_MultiSelect: number;
    static PB_ListView_ClickSelect: number;
    static PB_Local: number;
    static PB_Map_ElementCheck: number;
    static PB_Map_NoElementCheck: number;
    static PB_MDI_Arrange: number;
    static PB_MDI_AutoSize: number;
    static PB_MDI_BorderLess: number;
    static PB_MDI_Cascade: number;
    static PB_MDI_Image: number;
    static PB_MDI_Next: number;
    static PB_MDI_NoScrollBars: number;
    static PB_MDI_Previous: number;
    static PB_MDI_TileHorizontally: number;
    static PB_MDI_TileImage: number;
    static PB_MDI_TileVertically: number;
    static PB_Memory_NoClear: number;
    static PB_Menu_ModernLook: number;
    static PB_MessageRequester_Cancel: number;
    static PB_MessageRequester_No: number;
    static PB_MessageRequester_Ok: number;
    static PB_MessageRequester_Yes: number;
    static PB_MessageRequester_YesNo: number;
    static PB_MessageRequester_YesNoCancel: number;
    static PB_Module: number;
    static PB_MouseButton_Left: number;
    static PB_MouseButton_Middle: number;
    static PB_MouseButton_Right: number;
    static PB_Network_IPv4: number;
    static PB_Network_IPv6: number;
    static PB_Network_TCP: number;
    static PB_Network_UDP: number;
    static PB_NetworkEvent_Connect: number;
    static PB_NetworkEvent_Data: number;
    static PB_NetworkEvent_Disconnect: number;
    static PB_NetworkEvent_None: number;
    static PB_Packer_CompressedSize: number;
    static PB_Packer_Directory: number;
    static PB_Packer_File: number;
    static PB_Packer_UncompressedSize: number;
    static PB_PackerPlugin_BriefLZ: number;
    static PB_PackerPlugin_JCALG1: number;
    static PB_PackerPlugin_LZMA: number;
    static PB_PackerPlugin_Zip: number;
    static PB_Panel_ItemHeight: number;
    static PB_Panel_ItemWidth: number;
    static PB_Panel_TabHeight: number;
    static PB_Parent: number;
    static PB_Preference_GroupSeparator: number;
    static PB_Preference_NoSpace: number;
    static PB_Procedure: number;
    static PB_ProcessPureBasicEvents: number;
    static PB_Program_Connect: number;
    static PB_Program_Eof: number;
    static PB_Program_Error: number;
    static PB_Program_Hide: number;
    static PB_Program_Open: number;
    static PB_Program_Read: number;
    static PB_Program_Wait: number;
    static PB_Program_Write: number;
    static PB_ProgressBar_Maximum: number;
    static PB_ProgressBar_Minimum: number;
    static PB_ProgressBar_Smooth: number;
    static PB_ProgressBar_Vertical: number;
    static PB_Prototype: number;
    static PB_RegularExpression_AnyNewLine: number;
    static PB_RegularExpression_DotAll: number;
    static PB_RegularExpression_Extended: number;
    static PB_RegularExpression_MultiLine: number;
    static PB_RegularExpression_NoCase: number;
    static PB_Relative: number;
    static PB_Requester_MultiSelection: number;
    static PB_Round_Down: number;
    static PB_Round_Nearest: number;
    static PB_Round_Up: number;
    static PB_Screen_NoSynchronization: number;
    static PB_Screen_SmartSynchronization: number;
    static PB_Screen_WaitSynchronization: number;
    static PB_ScrollArea_BorderLess: number;
    static PB_ScrollArea_Center: number;
    static PB_ScrollArea_Flat: number;
    static PB_ScrollArea_InnerHeight: number;
    static PB_ScrollArea_InnerWidth: number;
    static PB_ScrollArea_Raised: number;
    static PB_ScrollArea_ScrollStep: number;
    static PB_ScrollArea_Single: number;
    static PB_ScrollArea_X: number;
    static PB_ScrollArea_Y: number;
    static PB_ScrollBar_Maximum: number;
    static PB_ScrollBar_Minimum: number;
    static PB_ScrollBar_PageLength: number;
    static PB_ScrollBar_Vertical: number;
    static PB_Shortcut_0: number;
    static PB_Shortcut_1: number;
    static PB_Shortcut_2: number;
    static PB_Shortcut_3: number;
    static PB_Shortcut_4: number;
    static PB_Shortcut_5: number;
    static PB_Shortcut_6: number;
    static PB_Shortcut_7: number;
    static PB_Shortcut_8: number;
    static PB_Shortcut_9: number;
    static PB_Shortcut_Pad0: number;
    static PB_Shortcut_Pad1: number;
    static PB_Shortcut_Pad2: number;
    static PB_Shortcut_Pad3: number;
    static PB_Shortcut_Pad4: number;
    static PB_Shortcut_Pad5: number;
    static PB_Shortcut_Pad6: number;
    static PB_Shortcut_Pad7: number;
    static PB_Shortcut_Pad8: number;
    static PB_Shortcut_Pad9: number;
    static PB_Shortcut_A: number;
    static PB_Shortcut_B: number;
    static PB_Shortcut_C: number;
    static PB_Shortcut_D: number;
    static PB_Shortcut_E: number;
    static PB_Shortcut_F: number;
    static PB_Shortcut_G: number;
    static PB_Shortcut_H: number;
    static PB_Shortcut_I: number;
    static PB_Shortcut_J: number;
    static PB_Shortcut_K: number;
    static PB_Shortcut_L: number;
    static PB_Shortcut_M: number;
    static PB_Shortcut_N: number;
    static PB_Shortcut_O: number;
    static PB_Shortcut_P: number;
    static PB_Shortcut_Q: number;
    static PB_Shortcut_R: number;
    static PB_Shortcut_S: number;
    static PB_Shortcut_T: number;
    static PB_Shortcut_U: number;
    static PB_Shortcut_V: number;
    static PB_Shortcut_W: number;
    static PB_Shortcut_X: number;
    static PB_Shortcut_Y: number;
    static PB_Shortcut_Z: number;
    static PB_Shortcut_F1: number;
    static PB_Shortcut_F2: number;
    static PB_Shortcut_F3: number;
    static PB_Shortcut_F4: number;
    static PB_Shortcut_F5: number;
    static PB_Shortcut_F6: number;
    static PB_Shortcut_F7: number;
    static PB_Shortcut_F8: number;
    static PB_Shortcut_F9: number;
    static PB_Shortcut_F10: number;
    static PB_Shortcut_F11: number;
    static PB_Shortcut_F12: number;
    static PB_Shortcut_F13: number;
    static PB_Shortcut_F14: number;
    static PB_Shortcut_F15: number;
    static PB_Shortcut_F16: number;
    static PB_Shortcut_F17: number;
    static PB_Shortcut_F18: number;
    static PB_Shortcut_F19: number;
    static PB_Shortcut_F20: number;
    static PB_Shortcut_F21: number;
    static PB_Shortcut_F22: number;
    static PB_Shortcut_F23: number;
    static PB_Shortcut_F24: number;
    static PB_Shortcut_Add: number;
    static PB_Shortcut_All: number;
    static PB_Shortcut_Apps: number;
    static PB_Shortcut_Back: number;
    static PB_Shortcut_Capital: number;
    static PB_Shortcut_Clear: number;
    static PB_Shortcut_Decimal: number;
    static PB_Shortcut_Delete: number;
    static PB_Shortcut_Divide: number;
    static PB_Shortcut_Down: number;
    static PB_Shortcut_End: number;
    static PB_Shortcut_Escape: number;
    static PB_Shortcut_Execute: number;
    static PB_Shortcut_Help: number;
    static PB_Shortcut_Home: number;
    static PB_Shortcut_Insert: number;
    static PB_Shortcut_Left: number;
    static PB_Shortcut_LeftWindows: number;
    static PB_Shortcut_Menu: number;
    static PB_Shortcut_Multiply: number;
    static PB_Shortcut_Numlock: number;
    static PB_Shortcut_PageDown: number;
    static PB_Shortcut_PageUp: number;
    static PB_Shortcut_Pause: number;
    static PB_Shortcut_Print: number;
    static PB_Shortcut_Return: number;
    static PB_Shortcut_Right: number;
    static PB_Shortcut_RightWindows: number;
    static PB_Shortcut_Scroll: number;
    static PB_Shortcut_Select: number;
    static PB_Shortcut_Separator: number;
    static PB_Shortcut_Snapshot: number;
    static PB_Shortcut_Space: number;
    static PB_Shortcut_Subtract: number;
    static PB_Shortcut_Tab: number;
    static PB_Shortcut_Up: number;
    static PB_Shortcut_Alt: number;
    static PB_Shortcut_Command: number;
    static PB_Shortcut_Control: number;
    static PB_Shortcut_Shift: number;
    static PB_Sort_Ascending: number;
    static PB_Sort_Descending: number;
    static PB_Sort_NoCase: number;
    static PB_Sound_Loop: number;
    static PB_Spin_Maximum: number;
    static PB_Spin_Minimum: number;
    static PB_Spin_Numeric: number;
    static PB_Spin_ReadOnly: number;
    static PB_Spin_Step: number;
    static PB_Splitter_FirstFixed: number;
    static PB_Splitter_FirstGadget: number;
    static PB_Splitter_FirstMinimumSize: number;
    static PB_Splitter_SecondFixed: number;
    static PB_Splitter_SecondGadget: number;
    static PB_Splitter_SecondMinimumSize: number;
    static PB_Splitter_Separator: number;
    static PB_Splitter_Vertical: number;
    static PB_StatusBar_BorderLess: number;
    static PB_StatusBar_Center: number;
    static PB_StatusBar_Raised: number;
    static PB_StatusBar_Right: number;
    static PB_String_CaseSensitive: number;
    static PB_String_NoCase: number;
    static PB_String_InPlace: number;
    static PB_String_AutoInsert: number;
    static PB_String_BorderLess: number;
    static PB_String_Center: number;
    static PB_String_Color: number;
    static PB_String_Date: number;
    static PB_String_DateTime: number;
    static PB_String_DateTimeLocal: number;
    static PB_String_Email: number;
    static PB_String_Equal: number;
    static PB_String_Greater: number;
    static PB_String_IsValid: number;
    static PB_String_Left: number;
    static PB_String_Lower: number;
    static PB_String_LowerCase: number;
    static PB_String_Month: number;
    static PB_String_Numeric: number;
    static PB_String_Password: number;
    static PB_String_Range: number;
    static PB_String_ReadOnly: number;
    static PB_String_Right: number;
    static PB_String_Search: number;
    static PB_String_Tel: number;
    static PB_String_Time: number;
    static PB_String_UpperCase: number;
    static PB_String_Url: number;
    static PB_String_Week: number;
    static PB_String_MaximumLength: number;
    static PB_String_Type: number;
    static PB_String_Pattern: number;
    static PB_String_Placeholder: number;
    static PB_String_Required: number;
    static PB_String_AllowedChars: number;
    static PB_String_Autocomplete_Datasource: number;
    static PB_String_Autocomplete_MinLength: number;
    static PB_Structure_AlignC: number;
    static PB_System_CPUs: number;
    static PB_System_FreePhysical: number;
    static PB_System_FreeSwap: number;
    static PB_System_FreeVirtual: number;
    static PB_System_PageSize: number;
    static PB_System_ProcessCPUs: number;
    static PB_System_TotalPhysical: number;
    static PB_System_TotalSwap: number;
    static PB_System_TotalVirtual: number;
    static PB_Text_Border: number;
    static PB_Text_Center: number;
    static PB_Text_Middle: number;
    static PB_Text_Right: number;
    static PB_Text_Rounded_Corners: number;
    static PB_ToolBar_Normal: number;
    static PB_ToolBar_Toggle: number;
    static PB_ToolBarIcon_Copy: number;
    static PB_ToolBarIcon_Cut: number;
    static PB_ToolBarIcon_Delete: number;
    static PB_ToolBarIcon_Find: number;
    static PB_ToolBarIcon_Help: number;
    static PB_ToolBarIcon_New: number;
    static PB_ToolBarIcon_Open: number;
    static PB_ToolBarIcon_Paste: number;
    static PB_ToolBarIcon_Print: number;
    static PB_ToolBarIcon_PrintPreview: number;
    static PB_ToolBarIcon_Properties: number;
    static PB_ToolBarIcon_Redo: number;
    static PB_ToolBarIcon_Replace: number;
    static PB_ToolBarIcon_Save: number;
    static PB_ToolBarIcon_Undo: number;
    static PB_TrackBar_Maximum: number;
    static PB_TrackBar_Minimum: number;
    static PB_TrackBar_Ticks: number;
    static PB_TrackBar_Vertical: number;
    static PB_Tree_AlwaysShowSelection: number;
    static PB_Tree_CheckBoxes: number;
    static PB_Tree_NoButtons: number;
    static PB_Tree_NoLines: number;
    static PB_Tree_SubLevel: number;
    static PB_Tree_ThreeState: number;
    static PB_Tree_Selected: number;
    static PB_Tree_Expanded: number;
    static PB_Tree_Checked: number;
    static PB_Tree_Collapsed: number;
    static PB_Tree_Inbetween: number;
    static PB_UTF16: number;
    static PB_UTF16BE: number;
    static PB_UTF32: number;
    static PB_UTF32BE: number;
    static PB_UTF8: number;
    static PB_Variable: number;
    static PB_Web_Back: number;
    static PB_Web_BlockPopupMenu: number;
    static PB_Web_BlockPopups: number;
    static PB_Web_Busy: number;
    static PB_Web_Forward: number;
    static PB_Web_HtmlCode: number;
    static PB_Web_NavigationCallback: number;
    static PB_Web_PageTitle: number;
    static PB_Web_Progress: number;
    static PB_Web_ProgressMax: number;
    static PB_Web_Refresh: number;
    static PB_Web_ScrollX: number;
    static PB_Web_ScrollY: number;
    static PB_Web_SelectedText: number;
    static PB_Web_StatusMessage: number;
    static PB_Web_Stop: number;
    static PB_Window_BorderLess: number;
    static PB_Window_Collapsed: number;
    static PB_Window_FrameCoordinate: number;
    static PB_Window_InnerCoordinate: number;
    static PB_Window_Invisible: number;
    static PB_Window_Maximize: number;
    static PB_Window_MaximizeGadget: number;
    static PB_Window_Minimize: number;
    static PB_Window_MinimizeGadget: number;
    static PB_Window_NoActivate: number;
    static PB_Window_NoGadgets: number;
    static PB_Window_Normal: number;
    static PB_Window_ScreenCentered: number;
    static PB_Window_SizeGadget: number;
    static PB_Window_SystemMenu: number;
    static PB_Window_TitleBar: number;
    static PB_Window_Tool: number;
    static PB_Window_WindowCentered: number;
    static PB_XML_Aborted: number;
    static PB_XML_AsyncEntity: number;
    static PB_XML_AttributeExternalEntityRef: number;
    static PB_XML_BadCharacterRef: number;
    static PB_XML_BinaryEntityRef: number;
    static PB_XML_CantChangeFeatures: number;
    static PB_XML_CData: number;
    static PB_XML_Comment: number;
    static PB_XML_CutNewline: number;
    static PB_XML_CutSpace: number;
    static PB_XML_DTD: number;
    static PB_XML_DublicateAttribute: number;
    static PB_XML_EntityDeclaredInPE: number;
    static PB_XML_ExternalEntityHandling: number;
    static PB_XML_FeatureRequiresDTD: number;
    static PB_XML_Finished: number;
    static PB_XML_IncompletePE: number;
    static PB_XML_IncorrectEncoding: number;
    static PB_XML_Instruction: number;
    static PB_XML_InvalidToken: number;
    static PB_XML_JunkAfterDocElement: number;
    static PB_XML_LinuxNewline: number;
    static PB_XML_MacNewline: number;
    static PB_XML_MisplacedXML: number;
    static PB_XML_NoDeclaration: number;
    static PB_XML_NoElements: number;
    static PB_XML_NoMemory: number;
    static PB_XML_Normal: number;
    static PB_XML_NotStandalone: number;
    static PB_XML_NotSuspended: number;
    static PB_XML_ParamEntityRef: number;
    static PB_XML_PartialCharacter: number;
    static PB_XML_PublicID: number;
    static PB_XML_RecursiveEntityRef: number;
    static PB_XML_ReduceNewline: number;
    static PB_XML_ReduceSpace: number;
    static PB_XML_ReFormat: number;
    static PB_XML_ReIndent: number;
    static PB_XML_ReservedNamespaceURI: number;
    static PB_XML_ReservedPrefixXML: number;
    static PB_XML_ReservedPrefixXMLNS: number;
    static PB_XML_Root: number;
    static PB_XML_StandaloneNo: number;
    static PB_XML_StandaloneUnset: number;
    static PB_XML_StandaloneYes: number;
    static PB_XML_StreamEnd: number;
    static PB_XML_StreamNext: number;
    static PB_XML_StreamStart: number;
    static PB_XML_StringFormat: number;
    static PB_XML_Success: number;
    static PB_XML_Suspended: number;
    static PB_XML_SuspendedPE: number;
    static PB_XML_Syntax: number;
    static PB_XML_TagMismatch: number;
    static PB_XML_TextDeclaration: number;
    static PB_XML_UnboundPrefix: number;
    static PB_XML_UnclosedCDataSection: number;
    static PB_XML_UnclosedToken: number;
    static PB_XML_UndeclaringPrefix: number;
    static PB_XML_UndefinedEntity: number;
    static PB_XML_UnexpectedState: number;
    static PB_XML_UnknownEncoding: number;
    static PB_XML_WindowsNewline: number;
    static PB_XML_XMLDeclaration: number;
    static PB_Event_Websocket_OnOpen: number;
    static PB_Event_Websocket_OnClose: number;
    static PB_Event_Websocket_OnMessage: number;
    static PB_Event_Websocket_OnError: number;
    static PB_Event_Movie_Abort: number;
    static PB_Event_Movie_CanPlay: number;
    static PB_Event_Movie_CanPlayThrough: number;
    static PB_Event_Movie_DurationChange: number;
    static PB_Event_Movie_Emptied: number;
    static PB_Event_Movie_Ended: number;
    static PB_Event_Movie_Error: number;
    static PB_Event_Movie_LoadedData: number;
    static PB_Event_Movie_LoadedMetaData: number;
    static PB_Event_Movie_LoadStart: number;
    static PB_Event_Movie_Pause: number;
    static PB_Event_Movie_Play: number;
    static PB_Event_Movie_Playing: number;
    static PB_Event_Movie_Progress: number;
    static PB_Event_Movie_RateChange: number;
    static PB_Event_Movie_Seeked: number;
    static PB_Event_Movie_Seeking: number;
    static PB_Event_Movie_Stalled: number;
    static PB_Event_Movie_Suspend: number;
    static PB_Event_Movie_TimeUpdate: number;
    static PB_Event_Movie_VolumeChange: number;
    static PB_Event_Movie_Waiting: number;
    static PB_Movie_ShowControls: number;
    static PB_Movie_Position: number;
    static PB_Movie_Length: number;
    static PB_Movie_Volume: number;
    static PB_Event_Music_Abort: number;
    static PB_Event_Music_CanPlay: number;
    static PB_Event_Music_CanPlayThrough: number;
    static PB_Event_Music_DurationChange: number;
    static PB_Event_Music_Emptied: number;
    static PB_Event_Music_Ended: number;
    static PB_Event_Music_Error: number;
    static PB_Event_Music_LoadedData: number;
    static PB_Event_Music_LoadedMetaData: number;
    static PB_Event_Music_LoadStart: number;
    static PB_Event_Music_Pause: number;
    static PB_Event_Music_Play: number;
    static PB_Event_Music_Playing: number;
    static PB_Event_Music_Progress: number;
    static PB_Event_Music_RateChange: number;
    static PB_Event_Music_Seeked: number;
    static PB_Event_Music_Seeking: number;
    static PB_Event_Music_Stalled: number;
    static PB_Event_Music_Suspend: number;
    static PB_Event_Music_TimeUpdate: number;
    static PB_Event_Music_VolumeChange: number;
    static PB_Event_Music_Waiting: number;
    static PB_Music_ShowControls: number;
    static PB_Music_Position: number;
    static PB_Music_Length: number;
    static PB_Music_Volume: number;
    static PB_Event_Upload_BeforeSend: number;
    static PB_Event_Upload_UploadProgress: number;
    static PB_Event_Upload_Complete: number;
    static PB_Event_Upload_Success: number;
    static PB_Event_Upload_Error: number;
    static PB_WidgetType_Button: number;
    static PB_WidgetType_ButtonImage: number;
    static PB_WidgetType_Calendar: number;
    static PB_WidgetType_Canvas: number;
    static PB_WidgetType_CheckBox: number;
    static PB_WidgetType_ComboBox: number;
    static PB_WidgetType_Container: number;
    static PB_WidgetType_ControlGroup: number;
    static PB_WidgetType_Date: number;
    static PB_WidgetType_Editor: number;
    static PB_WidgetType_FlipSwitch: number;
    static PB_WidgetType_Frame: number;
    static PB_WidgetType_HyperLink: number;
    static PB_WidgetType_Image: number;
    static PB_WidgetType_ListView: number;
    static PB_WidgetType_Option: number;
    static PB_WidgetType_Panel: number;
    static PB_WidgetType_ProgressBar: number;
    static PB_WidgetType_ScrollArea: number;
    static PB_WidgetType_ScrollBar: number;
    static PB_WidgetType_Slider: number;
    static PB_WidgetType_Spin: number;
    static PB_WidgetType_Text: number;
    static PB_WidgetType_TextInput: number;
    static PB_WidgetType_Tree: number;
    static PB_WidgetType_Unknown: number;
    static PB_WidgetType_Collapsible: number;
    static PB_WidgetType_Dialog: number;
    static PB_WidgetType_Tabs: number;
    static PB_WidgetType_ToolBar: number;
    static PB_WidgetType_Table: number;
    static PB_WidgetType_Html: number;
    static PB_WidgetType_Header: number;
    static PB_WidgetType_Footer: number;
    static PB_WidgetType_NavBar: number;
    static PB_Widget_Html: number;
    static PB_Widget_LabelText: number;
    static PB_Widget_LabelHtml: number;
    static PB_Widget_Corners: number;
    static PB_Widget_Icon: number;
    static PB_Widget_IconPosition: number;
    static PB_Widget_Position: number;
    static PB_Widget_Inline: number;
    static PB_Widget_Mini: number;
    static PB_Widget_Shadow: number;
    static PB_Widget_Theme: number;
    static PB_Widget_ClearButton: number;
    static PB_Widget_ClearButtonText: number;
    static PB_Widget_Role: number;
    static PB_Widget_InputType: number;
    static PB_Widget_ExcludeInvisible: number;
    static PB_Widget_Type: number;
    static PB_Widget_TrackTheme: number;
    static PB_Widget_Highlight: number;
    static PB_Widget_Minimum: number;
    static PB_Widget_Maximum: number;
    static PB_Widget_Step: number;
    static PB_Widget_Value: number;
    static PB_ControlGroup_Vertical: number;
    static PB_ControlGroup_Horizontal: number;
    static PB_FlipSwitch_On: number;
    static PB_FlipSwitch_Off: number;
    static PB_TextInput_Color: number;
    static PB_TextInput_Date: number;
    static PB_TextInput_DateTime: number;
    static PB_TextInput_DateTimeLocal: number;
    static PB_TextInput_Email: number;
    static PB_TextInput_Month: number;
    static PB_TextInput_Number: number;
    static PB_TextInput_Password: number;
    static PB_TextInput_Range: number;
    static PB_TextInput_Search: number;
    static PB_TextInput_Tel: number;
    static PB_TextInput_Text: number;
    static PB_TextInput_Time: number;
    static PB_TextInput_Url: number;
    static PB_TextInput_Week: number;
    static PB_Transition_Slide: number;
    static PB_Transition_SlideUp: number;
    static PB_Transition_SlideDown: number;
    static PB_Transition_Pop: number;
    static PB_Transition_Fade: number;
    static PB_Transition_Flip: number;
    static PB_PanelGadget_Sortable: number;
    static PB_PanelGadget_Closable: number;
    static PB_JSON_Array: number;
    static PB_JSON_Boolean: number;
    static PB_JSON_NoCase: number;
    static PB_JSON_Null: number;
    static PB_JSON_Number: number;
    static PB_JSON_Object: number;
    static PB_JSON_PrettyPrint: number;
    static PB_JSON_String: number;
    static Black: any;
    static Blue: any;
    static Cyan: any;
    static Gray: any;
    static Green: any;
    static Magenta: any;
    static Red: any;
    static White: any;
    static Yellow: any;
    static PB_Array: number;
    static PB_Ascii: number;
    static PB_Byte: number;
    static PB_Character: number;
    static PB_Double: number;
    static PB_Float: number;
    static PB_Integer: number;
    static PB_List: number;
    static PB_Long: number;
    static PB_Map: number;
    static PB_Quad: number;
    static PB_String: number;
    static PB_Structure: number;
    static PB_Unicode: number;
    static PB_Word: number;
    static PB_Undefined: number;
    static PB_Boolean: number;
    static PB_Number: number;
    static PB_Symbol: number;
    static PB_Object: number;
    static PB_Function: number;
    static PB_Unknown: number;
    static PB_EventType_DownloadEnd: number;
    static PB_EventType_DownloadProgress: number;
    static PB_EventType_DownloadStart: number;
    static PB_EventType_PopupMenu: number;
    static PB_EventType_PopupWindow: number;
    static PB_EventType_StatusChange: number;
    static PB_EventType_TitleChange: number;
    static PB_EventType_Change: number;
    static PB_EventType_CloseItem: number;
    static PB_EventType_Down: number;
    static PB_EventType_DragStart: number;
    static PB_EventType_Focus: number;
    static PB_EventType_Input: number;
    static PB_EventType_KeyDown: number;
    static PB_EventType_KeyPress: number;
    static PB_EventType_KeyUp: number;
    static PB_EventType_LeftButtonDown: number;
    static PB_EventType_LeftButtonUp: number;
    static PB_EventType_LeftClick: number;
    static PB_EventType_LeftDoubleClick: number;
    static PB_EventType_LostFocus: number;
    static PB_EventType_MiddleButtonDown: number;
    static PB_EventType_MiddleButtonUp: number;
    static PB_EventType_MouseEnter: number;
    static PB_EventType_MouseLeave: number;
    static PB_EventType_MouseMove: number;
    static PB_EventType_MouseWheel: number;
    static PB_EventType_RightButtonDown: number;
    static PB_EventType_RightButtonUp: number;
    static PB_EventType_RightClick: number;
    static PB_EventType_RightDoubleClick: number;
    static PB_EventType_Select: number;
    static PB_EventType_Unselect: number;
    static PB_EventType_Up: number;
    static PB_EventType_ReturnKey: number;
    static PB_EventType_Scroll: number;
    static PB_EventType_Swipe: number;
}
