EnableExplicit

XIncludeFile "..\p2w.pbi"

P2W_Converter_SetProfile("pb2webtest")

#XML = 1



Procedure ReadChildNodes(*Node)
	
	Protected *ChildNode
	
	*ChildNode = ChildXMLNode(*Node)
	
	While *ChildNode <> 0
		
		Debug "NodeType: " + Str(XMLNodeType(*ChildNode))
		
		Select XMLNodeType(*ChildNode)
				
			Case #PB_XML_Comment
				Debug "#PB_XML_Comment"
				
			Case #PB_XML_CData
				Debug "#PB_XML_CData"
				
			Default
				Debug "XMLNodeName: " + GetXMLNodeName(*ChildNode)
				Debug "XMLNodeText: " + GetXMLNodeText(*ChildNode)
				
		EndSelect
		
				Debug "---"
		
		If XMLChildCount(*ChildNode)
			ReadChildNodes(*ChildNode)
		EndIf
		
		*ChildNode = NextXMLNode(*ChildNode)
		
	Wend
	
EndProcedure

Define XML.s = "<?xml version='1.0' standalone='no'?>" + 
               "<test>" + 
               "<child>" + 
               "testtext" + 
               "</child>" + 
               "<!-- Comment -->" + 
               "<child2>" + 
               "<![CDATA[Inhalt]]>" + 
               "</child2>" + 
               "</test>"

Define *MainNode

NewList result.s()
If ParseXML(#XML, XML)
	
	; Debug GetXMLStandalone(#XML)
	
	*MainNode = MainXMLNode(#XML)
	If *MainNode
		ReadChildNodes(*MainNode)
	EndIf
EndIf
; IDE Options = PureBasic 5.31 (Windows - x86)
; CursorPosition = 40
; FirstLine = 9
; Folding = -
; EnableXP