XIncludeFile "..\p2w.pbi"

; see http://qtip2.com/

EnableExplicit

#Desktop  = 0 
#myButton1 = 0 
#myButton2 = 1

Procedure OpenLibrarySuccess()
	
	! $('#g_' + myButton1).qtip({
	!  content: 'My content1 (yellow, without shadow)',
	!  position: { my: 'left center', at: 'right center' }
	! });
	
	!	$('#g_' + myButton2).qtip({
	!		content: 'My content2 (blue, with shadow)',
	!		position: { my: 'left center', at: 'right center' },
	!		style: { classes: 'qtip-blue qtip-shadow' }
	! });
	
EndProcedure

Procedure OpenLibraryError()
	Debug "OpenLibraryError()"
EndProcedure

Procedure BlockWindowCallback()
	
	P2W_BlockWindow(#Desktop, #False)
	
	OpenLibrary(#PB_Any, "http://cdn.jsdelivr.net/qtip2/2.2.1/jquery.qtip.min.css")
	
	OpenLibrary(#PB_Any, "http://cdn.jsdelivr.net/qtip2/2.2.1/jquery.qtip.min.js",
	            @OpenLibrarySuccess(), @OpenLibraryError())
	
EndProcedure

OpenWindow(#Desktop, 0, 0, 0, 0, "qTip2-Demo", #PB_Window_BorderLess | #PB_Window_Maximize)

P2W_BlockWindow(#Desktop, #True, "<h1>Loading qTip2</h1>", "Please wait...", @BlockWindowCallback())

ButtonGadget(#myButton1, 10, 10, 200, 25, "Button1 with a nice tooltip")

ButtonGadget(#myButton2, 10, 50, 200, 25, "Button2 with a nice tooltip")



; IDE Options = PureBasic 5.31 (Windows - x86)
; CursorPosition = 20
; FirstLine = 5
; Folding = -
; EnableXP