/*global tinymce:true */

tinymce.PluginManager.add('pdf', function (editor) {

	editor.addButton('pdf', {
		text: 'PDF',
		icon: false,
		onclick: function () {

			var pdf = new jsPDF('p', 'pt', 'a4');

			var options = {
				pagesplit: true
			};

			var mce = $("#mce" + editor.id);

			var body = mce.find("iframe").contents().find("body");
			
			$(body).css("background", "white");
			
			pdf.addHTML(body, options, function () {
				pdf.save(cConstants.PB_Editor_WYSIWYG_PdfFilename);
			});

		}

	});

});